using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.OleDb;
using System.Text;

public partial class BackCenter_Advertising_AdvertisingEdit : System.Web.UI.Page
{
    //页面加载
    protected void Page_Load(object sender, EventArgs e)
    {
        #region 过期和权限

        PageFunc.IfLogin(this.Page);
        //PubPageFunc.PageHavePurview(this.Page, "2001");

        #endregion

        if (!IsPostBack)
        {
            #region 页面赋值
            if (Request["ID"] != null)
            {

                StringBuilder strSql = new StringBuilder();
                strSql.Append("select [ID],[Type],[Title],[FilePath],[WebPath], [MarkerValue], [OrderNum] from NT_Advertising ");
                strSql.Append(" where ID=@ID");
                OleDbParameter[] parameters = { new OleDbParameter("@ID", OleDbType.Integer, 4) };
                parameters[0].Value = Request["ID"];

                OleDbDataReader sdr = DbHelperOleDb.ExecuteDataReader(CommandType.Text, strSql.ToString(), parameters);
                if (sdr.HasRows)
                {
                    while (sdr.Read())
                    {
                        this.txt_Title.Text = sdr["Title"].ToString();
                        this.txt_WebPath.Text = sdr["WebPath"].ToString();
                        if (sdr["FilePath"].ToString().Length > 0)
                        {
                            this.lab_FilePath.Text = "<a  href='" + sdr["FilePath"].ToString() + "' target='_blank'>下载</a>";
                            //this.img_PicturePath.ImageUrl = sdr["PicturePath"].ToString();
                            //this.img_PicturePath.Visible = true;
                            this.lab_FilePathBak.Text = sdr["FilePath"].ToString();
                        }

                        this.txt_MarkerValue.Text = sdr["MarkerValue"].ToString();
                        this.txt_OrderNum.Text = sdr["OrderNum"].ToString();
                        WebControlsFunc.SelectDropDownList(this.ddl_Type, sdr["Type"].ToString());
                    }
                }
                sdr.Close();
            }
            #endregion

        }
    }

    //保存
    protected void btnSave_Click(object sender, EventArgs e)
    {
        string str_FilePath = this.lab_FilePathBak.Text;

        #region 判断类型+保存图片
        if (this.fu_FilePath != null && this.fu_FilePath.FileName.Length > 0)
        {
            //赋值
            str_FilePath = FileFunc.CreateFile(this.Page, fu_FilePath);
        }
        #endregion

        if (Request["ID"] != null && Request["ID"] != "")
        {
            #region 操作数据库


            StringBuilder strSql = new StringBuilder();
            strSql.Append("update NT_Advertising set ");
            strSql.Append("Type=@Type,");
            strSql.Append("Title=@Title,");
            strSql.Append("FilePath=@FilePath,");
            strSql.Append("WebPath=@WebPath,");
            strSql.Append("MarkerValue=@MarkerValue,");
            strSql.Append("OrderNum=@OrderNum  ");
            strSql.Append(" where ID=@ID");
            OleDbParameter[] parameters = {
					new OleDbParameter("@Type", OleDbType.VarChar),
					new OleDbParameter("@Title", OleDbType.VarChar),
                    new OleDbParameter("@FilePath", OleDbType.VarChar),
                    new OleDbParameter("@WebPath", OleDbType.VarChar),
					new OleDbParameter("@MarkerValue", OleDbType.VarChar),
					new OleDbParameter("@OrderNum", OleDbType.Integer,4),
					new OleDbParameter("@ID", OleDbType.Integer,4)};
            parameters[0].Value = this.ddl_Type.SelectedValue;
            parameters[1].Value = txt_Title.Text;
            parameters[2].Value = str_FilePath;
            parameters[3].Value = txt_WebPath.Text;
            parameters[4].Value = txt_MarkerValue.Text;
            parameters[5].Value = txt_OrderNum.Text;
            parameters[6].Value = Request["ID"];
            //执行语句
            DbHelperOleDb.ExecuteNonQuery(CommandType.Text, strSql.ToString(), parameters);


            #endregion

            JavaScriptFunc.AlertAndRedirect(this.Page, "修改成功", "AdvertisingIndex.aspx");
        }
        else
        {
            #region 操作数据库
            StringBuilder strSql1 = new StringBuilder();
            strSql1.Append("select count(*) from NT_Advertising");
            strSql1.Append(" where Title=@Title");
            OleDbParameter[] parameters1 = {
					new OleDbParameter("@Title", OleDbType.VarChar)};
            parameters1[0].Value = txt_Title.Text;


            object obj = DbHelperOleDb.ExecuteScalar(CommandType.Text, strSql1.ToString(), parameters1);
            if (obj.ToString() != "0")
            {
                JavaScriptFunc.Alert(this.Page, "名称不能重复！");
                return;
            }

            //执行语句

            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into NT_Advertising(");
            strSql.Append("[Type],[Title], [FilePath],[WebPath],[MarkerValue],[OrderNum])");
            strSql.Append(" values (");
            strSql.Append("@Type,@Title,@FilePath,@WebPath, @MarkerValue,@OrderNum)");
            OleDbParameter[] parameters = {
					new OleDbParameter("@Type", OleDbType.VarChar),
					new OleDbParameter("@Title", OleDbType.VarChar),
                    new OleDbParameter("@FilePath", OleDbType.VarChar),
                    new OleDbParameter("@WebPath", OleDbType.VarChar),
					new OleDbParameter("@MarkerValue", OleDbType.VarChar),
					new OleDbParameter("@OrderNum", OleDbType.Integer)};
            parameters[0].Value = this.ddl_Type.SelectedValue;
            parameters[1].Value = txt_Title.Text;
            parameters[2].Value = str_FilePath;
            parameters[3].Value = txt_WebPath.Text;
            parameters[4].Value = txt_MarkerValue.Text;
            parameters[5].Value = txt_OrderNum.Text;

            DbHelperOleDb.ExecuteNonQuery(CommandType.Text, strSql.ToString(), parameters);


            #endregion

            JavaScriptFunc.AlertAndRedirect(this.Page, "添加成功", "AdvertisingIndex.aspx");
        }
    }
}
